<div class="edit-group">
  <!--<h4 class="group-header">Group Name</h4>-->
  <h4 class="group-header">{{groupEditInfo.group_name}}</h4>
  <section class="group-name">
    <md-list>
      <md-list-item>
       <i class="icon-group secual-icon secual-primary-color"></i>
        <div class="title gd-name">
          <span class="name" ng-hide="groupEditInfo.editGroupName">{{groupEditInfo.group.name}}</span>
          <input type="text" ng-trim="true" class="editable" placeholder="Enter group name" ng-model="groupEditInfo.group.name" ng-show="groupEditInfo.editGroupName">
        </div>
        <div class="gd-edit" ng-hide="groupEditInfo.newGroup">
          <span class="accessory-icon" ng-click="groupEditInfo.edit(); groupEditInfo.editGroupName = true" ng-hide="groupEditInfo.editGroupName">
            <span class="icon-edit"></span>
          </span>
          <span class="accessory-icon" ng-click="groupEditInfo.save(); groupEditInfo.editGroupName = false" ng-show="groupEditInfo.editGroupName">
            <span class="icon-check"></span>
          </span>
          <span class="accessory-icon" ng-click="groupEditInfo.cancel(); groupEditInfo.editGroupName = false" ng-show="groupEditInfo.editGroupName">
            <i class="icon-close secual-icon secual-sub-dark-color"></i>
          </span>
        </div>
      </md-list-item>
    </md-list>
  </section>

  <!--<h4 class="group-header">Members</h4>-->
  <h4 class="group-header">{{groupEditInfo.member}}</h4>
  <section class="members">
    <md-list>
      <md-list-item ng-repeat="user in (groupEditInfo.group.users | sortUsers) track by user.id">
        <i class="icon-person secual-icon secual-primary-color secual-icon-bordered"></i>
        <div class="secual-list-info">
          <div class="list-title-text">{{user.name || 'User Name'}}</div>
          <div class="list-subtitle-text">{{user.email}}</div>
        </div>
        <span class="secual-badge" ng-if="user.role.name === 'owner'">{{groupEditInfo.administrator}}</span>
        <span class="accessory-icon" ng-if="user.role.name !== 'owner'" ng-click="groupEditInfo.removeUser(user, $index)">
          <i class="icon-item-remove secual-icon secual-danger-color"></i>
        </span>
        <md-divider ng-hide="$last"></md-divider>
      </md-list-item>
    </md-list>
  </section>

    <p class="secual-explanation-text">{{groupEditInfo.explanation_about_groups}}</p>
    <div class="secual-button-wrapper" ng-hide="groupEditInfo.newGroup">
      <md-button class="secual-button secual-button-danger" ng-click="groupEditInfo.delete()">{{groupEditInfo.remove_group}}
    </md-button>
    </div>

  <!--<h4 class="group-header">Other Users</h4>-->
  <h4 class="group-header">{{groupEditInfo.other_user}}</h4>
  <section class="members otherusers">
    <md-list ng-show="groupEditInfo.group.otherusers.length > 0">
      <md-list-item ng-repeat="user in (groupEditInfo.group.otherusers | sortUsers) track by user.id">
        <i class="icon-person secual-icon secual-primary-color secual-icon-bordered"></i>
        <div class="secual-list-info">
          <div class="list-title-text">{{user.name || 'User Name'}}</div>
          <div class="list-subtitle-text">{{user.email}}</div>
        </div>
        <span class="accessory-icon" ng-click="groupEditInfo.addUser(user, $index)">
          <i class="secual-icon icon-item-add icon-primary-color"></i>
        </span>
        <md-divider ng-hide="$last"></md-divider>
      </md-list-item>
    </md-list>
    
  </section>
  <p class="secual-explanation-text" ng-show="groupEditInfo.group.otherusers.length == 0">{groupEditInfo.all_members_have_been_added_to_this_group}}</p>
</div>
